Bug 117749 - hosts_access(5) man page refers to missing man pages
hosts_access(5) man page refers to missing man pages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcp_wrappers (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-07 23:22 EST by Landon Curt Noll
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 08:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2004-03-07 23:22:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
The hosts_access(5) man page says:

SEE ALSO
    ...
    tcpdchk(8), tcpdmatch(8), test programs.

There are no tcpdchk(8) or tcpdmatch(8) man pages.

Version-Release number of selected component (if applicable):
tcp_wrappers-7.6-34

How reproducible:
Always

Steps to Reproduce:
1.man 8 tcpdchk
2.man 8 tcpdmatch
3.
    

Actual Results:  Man pages not found.

Expected Results:  Either the hosts_access(5) man page would not refer
to these man pages
or these man pages would exist.

Additional info:

Are the test programs tcpdchk and tcpdmatch missing?  They are
nor installed with the tcp_wrappers-7.6-34 rpm.  Perhaps they
should be added?
Comment 1 Bastien Nocera 2004-11-16 12:15:08 EST
tcpdchk and tcpdmatch only work with inetd, not xinetd, so they can't
be added...
Comment 2 Landon Curt Noll 2004-11-16 14:33:48 EST
So then I recommend that the man page be changed to not refer to
tcpdchk and tcpdmatch.
Comment 3 Landon Curt Noll 2006-05-14 02:43:37 EDT
This is still the case for RHEL4.2
Comment 4 Landon Curt Noll 2006-07-29 04:25:29 EDT
This has been fixed in RHEL4.3.  This bug should now be closed.

Note You need to log in before you can comment on or make changes to this bug.